Generate export target column mappings

Generate export column-mapping suggestions for a OmniFabric target table.

HTTP
POST $CLOUDSIGMA_API_BASE/connectors/mo/column/mapping

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Confirm the target OmniFabric connector, database, and table.

Request

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/connectors/mo/column/mapping" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d "{
    \"connector_id\": \"$CONNECTOR_ID\",
    \"database\": \"analytics\",
    \"table\": \"orders\",
    \"export_columns\": {\"source_id\": \"id\"}
  }"

Request body

Parameter

Type

Required

Description

connector_id

string

Yes

OmniFabric connector ID.

database

string

Yes

Target database name.

table

string

Yes

Target table name.

export_columns

object

Yes

Mapping of source column names to target column names.

Successful response

A successful response returns column-mapping suggestions. Before using them to configure an export task, verify the intended meaning of the source and target columns.

Error response

If the connector, database, table, or column mapping is invalid, check the request body and retry.

Last updated on